<%@ page import="java.util.Date" %>
<%@ page import="java.util.Locale" %>
<%@ page import="java.text.NumberFormat" %>
<%@ include file="sql.jsp" %>

<%
  if(session.getValue("MyShopDB.backofficeUser")==null)
        response.sendRedirect("backoffice.jsp");

  String idOrdine=request.getParameter("id");
  
  try {
        Integer.parseInt(idOrdine);
  } catch (NullPointerException e) {
        idOrdine="0";
  } catch (NumberFormatException e) {
        idOrdine="0";
  }

  boolean nessunOrdine=true;

  try {
        Connection c = DriverManager.getConnection(stringaConnessione, utenteSQL, passwordSQL);
        Statement s = c.createStatement();
        ResultSet r = s.executeQuery("SELECT ID, Data, Nome, Cognome, Indirizzo, Pagamento, Consegna, SpeseSpedizione FROM intestazioni_ordini ORDER BY Data DESC");

        if(r.next()) {
                nessunOrdine=false;
        }
%>

<html>
<%@ include file="heading.jsp" %>
<body>
<table width="100%" border="0">
  <tr>
    <td colspan="2" class="blubg">
      <%@ include file="banner.jsp" %>
    </td>
  </tr>
  <tr>
    <td width="10%" class="blubg" valign="top">
      <%@ include file="menu.jsp" %>
    </td>
    <td align="center" width="90%">
      <%
          if(nessunOrdine) {
      %>
            <div class="intestazione">&nbsp;</div>
            <div class="intestazione">Non ci sono ordini!</div>
            <div class="intestazione">&nbsp;</div>
      <%
          }
          else {
      %>
            <div class="intestazione">&nbsp;</div>
            <div class="intestazione">Ordini registrati:</div>
            <div class="intestazione">&nbsp;</div>
            <table border="0" cellpadding="5">
              <tr>
                <td class="intestazione_tabella">
                  # ordine
                </td>
                <td class="intestazione_tabella">
                  Data
                </td>
                <td class="intestazione_tabella">
                  Nome
                </td>
                <td class="intestazione_tabella">
                  Cognome
                </td>
                <td class="intestazione_tabella">
                  Indirizzo
                </td>
                <td class="intestazione_tabella">
                  Mod. pagamento
                </td>
                <td class="intestazione_tabella">
                  Mod. consegna
                </td>
                <td class="intestazione_tabella">
                  Spese spedizione (&euro;)
                </td>
                <td class="intestazione_tabella">
                </td>
              </tr>
              <%
                    int riga=0;
                    NumberFormat fmt=NumberFormat.getInstance(Locale.ITALIAN);
                    fmt.setMinimumFractionDigits(2);
                    fmt.setMaximumFractionDigits(2);
                    fmt.setParseIntegerOnly(false);
  
                    do {
                      riga++;
                      boolean testId=Integer.parseInt(idOrdine)==r.getInt(1);
              %>
                          <tr>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= r.getInt(1)%></td>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= r.getDate(2)%></td>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= r.getString(3)%></td>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= r.getString(4)%></td>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= r.getString(5)%></td>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= r.getString(6)%></td>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= r.getString(7)%></td>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= fmt.format(r.getFloat(8))%></td>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><a href="ordini.jsp?id=<%= !testId ? r.getInt(1) : 0%>"><%= !testId ? "dettagli" : "nascondi dettagli"%></a></td>
                          </tr>
              <%
                            if(testId) {
                                Statement s2 = c.createStatement();
                                ResultSet r2 = s2.executeQuery("SELECT P.Prodotto , R.Prezzo, R.Quantita FROM prodotti AS P, righe_ordini AS R WHERE P.ID=R.IDProdotto AND R.IDOrdine="+idOrdine);
              %>
                                <tr>
                                  <td colspan="9">
                                    <span class="piccolo">&nbsp;Dettaglio righe dell'ordine n. <%= r.getInt(1)%>:</span>
                                    <table width="100%">
                                      <tr>
                                        <td class="intestazione_sotto_tabella">
                                          Prodotto
                                        </td>
                                        <td class="intestazione_sotto_tabella">
                                          Prezzo unitario (&euro;)
                                        </td>
                                        <td class="intestazione_sotto_tabella">
                                          Quantit&agrave;
                                        </td>
                                        <td class="intestazione_sotto_tabella">
                                          Prezzo totale (&euro;)
                                        </td>
                                      </tr>
              <%
                                      int riga2=0;

                                      while(r2.next()) {
                                        riga2++;
              %>
                                        <tr>
                                          <td class='<%= riga2%2==0 ? "riga2_sotto_tabella" : "riga1_sotto_tabella"%>'><%= r2.getString(1)%></td>
                                          <td class='<%= riga2%2==0 ? "riga2_sotto_tabella" : "riga1_sotto_tabella"%>'><%= fmt.format(r2.getFloat(2))%></td>
                                          <td class='<%= riga2%2==0 ? "riga2_sotto_tabella" : "riga1_sotto_tabella"%>'><%= r2.getInt(3)%></td>
                                          <td class='<%= riga2%2==0 ? "riga2_sotto_tabella" : "riga1_sotto_tabella"%>'><%= fmt.format(r2.getFloat(2)*r2.getInt(3))%></td>
                                        <tr>
              <%
                                      }
              %>
                                    </table>
                                  </td>
                                </tr>
              <%
                                r2.close();
                                s2.close();
                            }

                    } while(r.next());

                    r.close();
              %>
            </table>
      <%
          }
      %>
    </td>
  </tr>
  <tr>
    <td colspan="2">
      <%@ include file="footer.jsp" %>
    </td>
  </tr>
</table>
<body>

</html>
<%
        s.close();
        c.close();
  } catch (SQLException e) {
        response.sendRedirect("errore.jsp");
  }
%>
